<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;


return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('entidades', function (Blueprint $table) {
            $table->id();
            $table->string('nome',100); 
            $table->string('descricao')->nullable();
            $table->text('sobre')->nullable();  
            $table->string('telefone',100);
            $table->string('email',80)->nullable();
            $table->date('fundacao')->nullable();
            $table->string('logotipo')->nullable();
            $table->timestamps(); 
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('entidades');
    }
};
